FilterBuilderFactory (Lucene 2.4.1 API)
Keywords: org.apache.lucene.xmlparser.FilterBuilderFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.xmlparser
Class FilterBuilderFactory

    java.lang.Object
      org.apache.lucene.xmlparser.FilterBuilderFactory

All Implemented Interfaces:
  FilterBuilder

    public class FilterBuilderFactory

extends Object
implements FilterBuilder

Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership. The ASF licenses this file to You under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Constructor Summary
`FilterBuilderFactory()`

Method Summary
`void` | `addBuilder(String nodeName, FilterBuilder builder)`
`Filter` | `getFilter(Element n)`
`FilterBuilder` | `getFilterBuilder(String nodeName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterBuilderFactory

    public FilterBuilderFactory()

Method Detail

### getFilter

    public Filter getFilter(Element n)
                     throws ParserException

  Specified by:
    `getFilter` in interface `FilterBuilder`
  Throws:
    `ParserException`

### addBuilder

    public void addBuilder(String nodeName,
                           FilterBuilder builder)

### getFilterBuilder

    public FilterBuilder getFilterBuilder(String nodeName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.